Subject: bug#4147: 23.1.50: Info-search command strange behaviour

From: martin rudalics <[email-masked]>
Date: Sat, 19 Dec 2009 10:09:31 +0100

> All next/prev/up navigations links work from the "header-line" window
 > without additional efforts thanks to the following existing code in
 > Info-next/Info-prev/Info-up:
 >
 >     (or (eq major-mode 'Info-mode) (pop-to-buffer "*info*"))

Would this work with cloned Info buffers?  In any case `pop-to-buffer'
is way too fragile to be generally useful.

 > that after clicking on a link in the "header-line" window moves the
 > current focus from the "header-line" window to the window with the
 > Info buffer.  (The links are not yet displayed as blue underlined text,
 > but nevertheless work well).

The code should suppress displaying scrollbars in header-windows.

martin